import Foundation

/**
Farbbalken einer Farbpalette

- author:  Johannes Neumeyer
- version: 1.0
*/
class Farbbalken: Rechteck
{
    /** Farbe des Balkens */
    var meineFarbe: SystemFarbe
    
    /**
	Erstellt einen Farbbalken mit den angegebenen RGB-Farbanteilen.
	
	Eingaben mit Werten kleiner 0 und Werten größer als 255 werden abgefangen.
	- parameters:
		- rot: Rotanteil im Bereich 0 .. 255
		- grün: Grünanteil im Bereich 0 .. 255
		- blau: Blauanteil im Bereich 0 .. 255
    */
    init(rot: Int, grün: Int, blau: Int)
    {
        meineFarbe = SystemFarbe(red: CGFloat(abs(rot) % 256) / 255.0, green: CGFloat(abs(grün) % 256) / 255.0, blue: CGFloat(abs(blau) % 256) / 255.0, alpha: 1.0)
        super.init()
        FarbeSetzen(farbe: meineFarbe)
        GrößeSetzen(breite: 200, höhe: 25)
    }
}

Farbbalken(rot: 217, grün: 237, blau: 0)
